Package com.pixelmed.display

# Class SafeCursorChanger.SafeCursorSetterThread

java.lang.Object
com.pixelmed.display.SafeCursorChanger.SafeCursorSetterThread

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  SafeCursorChanger

public class SafeCursorChanger.SafeCursorSetterThread extends Object implements Runnable

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Cursor`
`cursor`

## Constructor Summary

Constructors
Constructor
Description
`SafeCursorSetterThread(Cursor cursor)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cursor

protected Cursor cursor

## Constructor Details

### SafeCursorSetterThread

public SafeCursorSetterThread(Cursor cursor)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`